summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Luis Henrique2013-01-03 16:49:46 +0100
committer dsomero2013-01-10 00:52:18 +0100
commit1d65ae42d304fafa1befe0e2bee05fc1f45f5900 (patch)
treee12ea3983f87ff309491c8995e299b8d602d5fc8 /desktop
parentb8e86fcb2d9d610a4059bf938f0d884624c1889d (diff)
downloadslackbuilds-1d65ae42d304fafa1befe0e2bee05fc1f45f5900.tar.gz
desktop/kde-gtk-config: Added (GTK2 and GTK3 Configurator for KDE).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/kde-gtk-config/README9
-rw-r--r--desktop/kde-gtk-config/kde-gtk-config.SlackBuild72
-rw-r--r--desktop/kde-gtk-config/kde-gtk-config.info10
-rw-r--r--desktop/kde-gtk-config/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/desktop/kde-gtk-config/README b/desktop/kde-gtk-config/README
new file mode 100644
index 0000000000..3ec12f0e2d
--- /dev/null
+++ b/desktop/kde-gtk-config/README
@@ -0,0 +1,9 @@
+GTK2 and GTK3 Configurator for KDE.
+
+Configuration dialog to adapt GTK applications appearance to
+your taste under KDE. Among its many features, it lets you:
+- Choose which theme is used for GTK2 and GTK3 applications.
+- Tweak some GTK applications behaviour.
+- Select what icon theme to use in GTK applications.
+- Select GTK applications default fonts.
+- Easily browse and install new GTK2 and GTK3 themes.
diff --git a/desktop/kde-gtk-config/kde-gtk-config.SlackBuild b/desktop/kde-gtk-config/kde-gtk-config.SlackBuild
new file mode 100644
index 0000000000..c0b0d0c54d
--- /dev/null
+++ b/desktop/kde-gtk-config/kde-gtk-config.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for kde-gtk-config
+
+# Written by Luis Henrique <lmello.009@gmail.com>
+
+PRGNAM=kde-gtk-config
+VERSION=${VERSION:-2.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -fr $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DLIB_SUFFIX=$LIBDIRSUFFIX ..
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a ChangeLog COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/kde-gtk-config/kde-gtk-config.info b/desktop/kde-gtk-config/kde-gtk-config.info
new file mode 100644
index 0000000000..67b8ec6b27
--- /dev/null
+++ b/desktop/kde-gtk-config/kde-gtk-config.info
@@ -0,0 +1,10 @@
+PRGNAM="kde-gtk-config"
+VERSION="2.1.1"
+HOMEPAGE="https://projects.kde.org/kde-gtk-config"
+DOWNLOAD="ftp://ftp.kde.org/pub/kde/stable/kde-gtk-config/2.1.1/src/kde-gtk-config-2.1.1.tar.bz2"
+MD5SUM="7b211c59c46293de8baaf3d74156d64c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Luis Henrique"
+EMAIL="lmello.009@gmail.com"
diff --git a/desktop/kde-gtk-config/slack-desc b/desktop/kde-gtk-config/slack-desc
new file mode 100644
index 0000000000..5fd5ff326d
--- /dev/null
+++ b/desktop/kde-gtk-config/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kde-gtk-config: kde-gtk-config (GTK2 and GTK3 Configurator for KDE)
+kde-gtk-config:
+kde-gtk-config: Configuration dialog to adapt GTK applications appearance to
+kde-gtk-config: your taste under KDE. Among its many features, it lets you:
+kde-gtk-config: - Choose which theme is used for GTK2 and GTK3 applications.
+kde-gtk-config: - Tweak some GTK applications behaviour.
+kde-gtk-config: - Select what icon theme to use in GTK applications.
+kde-gtk-config: - Select GTK applications default fonts.
+kde-gtk-config: - Easily browse and install new GTK2 and GTK3 themes.
+kde-gtk-config:
+kde-gtk-config: homepage: https://projects.kde.org/kde-gtk-config